#ifndef _DCGSCOMPAT_H
#define _DCGSCOMPAT_H
#ifdef _MSC_VER
#include <malloc.h>
#include <string.h>
// MSc dependant definitions
#define Sprintf sprintf_s
#define FMT(a,b) a,b
#define Strcpy(a,b,c) strcpy_s(a,b,c)
#define Fopen(a,b,c)  fopen_s(&a,b,c)
#define _Itoa(a,b,c,d) _itoa_s(a,b,c,d)
#define Fscanf fscanf_s
#define Strncpy(a,b,c,d) strncpy_s(a,b,c,d)
#define Strcat(a,b,c) strcat_s(a,b,c)
#define Sscanf sscanf_s
#define Itoa(a,b,c,d) _itoa_s(a,b,c,d)
#define Gmtime(a,b) gmtime_s(&a,b)
#define Asctime(a,b,c) asctime_s( a,b,c )
inline char *Strdup(char *s)
{
	char *rs;
	if (s== NULL)
		return NULL;
	rs = (char *) malloc(strlen(s)+1);
	strcpy_s(rs, strlen(s)+1,s);
	return rs;
}
#else
// othe compilers
#define Sprintf sprintf
#define FMT(a,b) a
#define Strcpy(a,b,c) strcpy(a,c)
#define Fopen(a,b,c)  a = fopen_s(b,c)
#define _Itoa(a,b,c,d) _itoa(a,b,d)
#define Fscanf fscanf
#define Strncpy(a,b,c,d) strncpy(a,c,d)
#define Strcat(a,b,c) strcat(a,c)
#define Strdup strdup
#define Sscanf sscanf
#define Itoa(a,b,c,d) itoa(a,b,d)
#define Gmtime(a,b) a = gmtime_s(b)
#endif
#endif