// DCGSerror.h
#ifndef _DCGSERROR_H_
#define _DCGSERROR_H_
typedef enum Ecode {
	NONE =0 ,
	INVTYPE,
	INVTYPE1,
	INVZDIV,
	INVZDIV1,
	NEGSHL,
	NEGSHR,
	INVOP,
	MANYEX,
	INVASSGN,
	INVLEFT,
	INVTYPEXP,
	NONAME,
	ADDRVAR,
	INVCAST,
	INVCOND,
	INVOPR,
	NOFUNC,
	INVNUM,
	DUPNAME,
	INVFILE,
	SYNTAX,
	NODEL,
	INVCONST1,
	INVCONST2,
	INVOFF,
	FULLLABEL,
	DUPLABEL,
	SUPPORTVT,
	INVOPRARG,
	INVOPRARGA,
	INVOPRARGB,
	INVOPRARGC,
	INVOPRARGD,
	INVOPRARGE,
	INVVOID,
	INVFLOAT1,
	INVDEREF,
	INVADDR,
	ILLCONT,
	ILLSTAT,
	ILLBREAK,
	ILLLOOP,
	UNRES,
	INVPARM,
	NOPARM,
	BADTARGET,
	NOTSUP,
	NOSUPOP,
	NOFUNCALL,
	LASTCODE
} Ecode;
typedef enum Esev {
	LL, L0,L1,L2,L3,L4,L5,L6,L7,L8,LH,LE  // LE should exit LH cannot be fixed LL always is OK
} Esev;
typedef enum action {
	NERROR,
	STD,
	IGNORED, 
	SKIP,
	ABORT
} action;

bool setError(FILE * f);
bool setError(char *fname,int TestNum);
char *GetError(unsigned a);
#endif